[archlinux.fr] News concernant la mise à jour de pacman 4.2

Présentation de la communauté, le site/forum/wiki etc...
Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [archlinux.fr] News concernant la mise à jour de pacman 4.2

Message par tuxce » jeu. 08 janv. 2015, 10:44

@quarkup, il n'y a pas de version corrigée à attendre, le problème se présente pour tout paquet que tu compiles toi même si la librairie dont il dépend change de version.

Donc pour ceux qui ont compilé package-query depuis AUR, sa dépendance libalpm a changé de version, il faut donc le recompiler après avoir installé la dernière version de pacman.

Avatar de l’utilisateur
quarkup
Hankyu
Messages : 17
Inscription : sam. 10 mai 2014, 21:59

Re: [archlinux.fr] News concernant la mise à jour de pacman 4.2

Message par quarkup » jeu. 08 janv. 2015, 19:03

Ben, Toutes ces opérations manuelles me font dire qu'il y a quand même un léger souci.
Quand je vois des trucs du type "rupture de compatibilité" et lorsque je lis ceci :" Fort heureusement tout ceci ne sera normalement plus nécessaire lors de la prochaine mise à (jour ?) de pacman suite aux évolutions apportées dans cette version 4.2."

je me dis qu'avec la prochaine version les manips ne seront plus nécessaires...
Je me fiche de savoir pouquoi sont conçues les choses, c'est ce qu'elles peuvent faire qui m'intéresse.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14953
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [archlinux.fr] News concernant la mise à jour de pacman 4.2

Message par benjarobin » jeu. 08 janv. 2015, 19:09

Je n'aurais jamais du marqué ceci, désolé si cela t'a apporté confusion... J'ai mise à jour la news en conséquence :chinois:
Sinon pour information la prochaine version de pacman ne sortira pas avant plusieurs mois...

Je voulais dire que si une nouvelle mise à jour de pacman survient, il suffira de mettre à jour le système en indiquant que package-query est déjà installé. Puis on pourra mettre à jour package-query séparément. En gros il ne sera plus nécessaire de désinstaller le paquet avant.
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
quarkup
Hankyu
Messages : 17
Inscription : sam. 10 mai 2014, 21:59

Re: [archlinux.fr] News concernant la mise à jour de pacman 4.2

Message par quarkup » jeu. 08 janv. 2015, 19:35

Ah, c'est plus clair maintenant.
Je me fiche de savoir pouquoi sont conçues les choses, c'est ce qu'elles peuvent faire qui m'intéresse.

Répondre